---
title: glab duo
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Work with GitLab Duo

## Synopsis

Work with GitLab Duo, our AI-native assistant for the command line.

GitLab Duo for the CLI integrates AI capabilities directly into your terminal
workflow. It helps you retrieve forgotten Git commands and offers guidance on
Git operations. You can accomplish specific tasks without switching contexts.

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`ask`](ask.md)
